<?php
session_start();
require_once '../../Controlador/Utilidades/Auditoria.php'; // Incluye tu función

if (isset($_SESSION['usuario'])) {
    // Registrar auditoría de cierre de sesión
    $id_usuario = $_SESSION['id_usuario'] ?? 0;
    $nombre_usuario = $_SESSION['usuario'];
    $descripcion = "El usuario cerró sesión";

    registrarAuditoria(
        'autenticacion',
        'logout',
        $descripcion,
        $id_usuario,
        $nombre_usuario,
        '', 
        '', 
        '', 
        $_SESSION['rol'] ?? ''
    );
}

// Destruyes la sesión
session_unset();
session_destroy();

header("Location: ../../index.php");
exit;
?>
